Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Polyline

Convert một phần Polyline thành ARC

Các bài được khuyến nghị

Polyline    18

118851_converttoarc.jpgMình đang có một yêu cầu "hơi lạ" thế này:

Mình muốn convert một vài segment (thẳng) của Polyline thành một segment ARC, như đường màu đỏ bên trái trở thành đường màu trắng bên phải. Toàn bộ các phân đoạn từ đỉnh số 2 đến đỉnh số 6 bị thay thế bởi cung 2-4-6. Điểm giữa 4 có thể được chỉ định bằng chuột, là môt trong các đỉnh nằm giữa.

Thật sự, làm việc với Polyline trong AutoCAD không hề đơn giản!!

  • Vote giảm 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trumlenmang    29

Đối với cad 2013 -2014 việc vày trở nên đơn giản. Bạn kick chọn Pline rê chuột vào các điểm cần bỏ và bấm R (Remove) (nhớ bật F12 trước khi làm) chỉ để lại điểm 2 và 6. Cuối cùng rê chuột vào trung điểm của 2-6 và chọn C (Convert to Arc). Đó là cách mình hay dùng thủ công nhất.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Polyline    18

Cám ơn bạn. Cách này cun

 

Đối với cad 2013 -2014 việc vày trở nên đơn giản. Bạn kick chọn Pline rê chuột vào các điểm cần bỏ và bấm R (Remove) (nhớ bật F12 trước khi làm) chỉ để lại điểm 2 và 6. Cuối cùng rê chuột vào trung điểm của 2-6 và chọn C (Convert to Arc). Đó là cách mình hay dùng thủ công nhất.

Cám ơn bạn, cách này hay nhưng mình chỉ dùng Cad2007 thui.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Polyline    18

Thử cái này, chú ý 3 điểm chọn phải nằm trên polyline, kể cả điểm giữa.

http://www.cadviet.com/upfiles/3/127168_tmp1_11.lsp

Cám ơn bạn, nó hoạt động được. Tuy nhiên tiềm ẩn lỗi ở dòng lệnh này:

(command "erase" (ssget d3) "")

Khả năng xóa nhầm đối tượng khác là rất lớn, dẫn đến hoạt động của lệnh sẽ không chính xác (hoặc không hoạt động được).

Hoặc nếu điểm d3 đã bị PAN ra khỏi màn hình, rất có thể sẽ không có kết quả.

Mình đang tìm cách thay đổi trực tiếp trong cơ sở dữ liệu của nó rồi cập nhật lại bằng hàm (entmod...). Bạn vui lòng cải tiến theo hướng này được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Polyline    18

Phiền bạn chỉnh thêm một chút cho nó hoạt động trên hệ tọa độ người dùng (UCS) được không? Bây giờ thì chỉ hoạt động đúng trên WCS thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Polyline    18

Vào đầu ct thêm dóng : (command "UCS" "W")

Vào cuối ct thêm dòng (sau dòng (entmod ...): (command "UCS" "P")

Dòng lệnh này không hoạt động trong Block Editor bạn ạ! :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

thì đương nhiên là không thành công rồi, vì không thể bắt cầu kiểu đó được, vì tuy điểm đầu và cuối trùng nhau nhưng trong cơ sở dữ liệu vẫn là 2 điểm khac nhau.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×